#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 44. Video Utilities

- Prev

  FFmpeg-7.1

- Next

  VLC-3.0.21

- Up
- Home

# mpv-0.39.0

## Introduction to mpv

mpv is a free media player for the command line. It supports a wide variety of media file formats, audio and video codecs, and subtitle types.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://github.com/mpv-player/mpv/archive/v0.39.0/mpv-0.39.0.tar.gz

- Download MD5 sum: a004bb1532bdaba8f19a488a27f41253

- Download size: 3.3 MB

- Estimated disk space required: 26 MB

- Estimated build time: 0.1 SBU (Using parallelism=4)

### mpv Dependencies

#### Required

alsa-lib-1.2.13, FFmpeg-7.1, libass-0.17.3, libplacebo-7.349.0, Mesa-24.3.4, and PulseAudio-17.0

#### Recommended

libjpeg-turbo-3.0.1, libva-2.22.0, libvdpau-1.5, luajit-20250212, uchardet-0.0.8, and Vulkan-Loader-1.4.304

#### Optional Input Drivers and Libraries

libdvdcss-1.4.3, libdvdread-6.1.3, libdvdnav-6.1.1, and libbluray

#### Optional Audio Output Drivers and Libraries

pipewire-1.2.7, SDL2-2.30.11, JACK, and OpenAL

#### Optional Video Output Drivers and Libraries

libcaca and SVGAlib

#### Optional (for documentation)

docutils-0.21.2

## Installation of mpv

Add a fix to build with FFMpeg > 7.0

    sed -i 's/AV_OPT_TYPE_CHANNEL_LAYOUT/AV_OPT_TYPE_CHLAYOUT/' filters/f_lavfi.c

Install mpv by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                -D x11=enabled      \
                ..                  &&
    ninja

This package does not come with a test suite.

Now, as the `root` user:

    ninja install

### Note

This package installs icon files into the `/usr/share/icons/hicolor` hierarchy and desktop files into the `/usr/share/applications` hierarchy. You can improve system performance and memory usage by updating `/usr/share/icons/hicolor/index.theme` and `/usr/share/applications/mimeinfo.cache`. To perform the update you must have GTK-3.24.48 installed (for the icon cache) and desktop-file-utils-0.28 (for the desktop cache) and issue the following commands as the `root` user:

    gtk-update-icon-cache -qtf /usr/share/icons/hicolor &&
    update-desktop-database -q

## Command Explanations

`-D x11=enabled`: allows linking to the X11 libraries.

`-D dvdnav=enabled`: enables support for DVD playback.

`-D cdda=enabled`: enables support for CD Audio.

`-D sdl2=enabled`: enables the usage of SDL2 for audio and video output.

## Configuring mpv

### Config Files

`/etc/mpv/*` and `~/.config/mpv/*`

## Contents

Installed Programs: mpv
Installed Libraries: None
Installed Directories: /etc/mpv and /usr/share/doc/mpv

### Short Descriptions

mpv | is the mpv video player

- Prev

  FFmpeg-7.1

- Next

  VLC-3.0.21

- Up
- Home